Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#45 Sendmail rejecting messages due to dk-filter

v0.4.1
closed
5
2008-03-20
2007-03-16
Ryan Blomberg
No

I have seen two things so far in my use of dk-filter and was hoping I could get some help diagnosing the issue and find out if others are seeing similar issues.

1) dk-filter will sometimes die and I have to restart it. Have little info as it happens randomly and I dont have any info from the box as it happens. Vague I know, but mentioned it to see if others see this.
2) dk-filter is running but seems to be accepting connections and then failing. This happened to me for the first time today. Below is an example from the sendmail maillog.

Mar 16 15:04:39 msg02 sendmail[27416]: l2GM4ctd027416: Milter: data, reject=451 4.3.2 Please try again later
Mar 16 15:04:39 msg02 sendmail[27416]: l2GM4ctd027416: to=<rb@eventful.com>, delay=00:00:00, pri=30289, stat=Please try again later
Mar 16 15:04:39 msg02 sm-msp-queue[27414]: l2GLkEaL015555: to=rb@eventful.com, ctladdr=rb (615/555), delay=00:18:25, xdelay=00:00:01, mailer=relay, pri=120012, relay=[127.0.0.1] [127.0.0.1], dsn=4.0.0, stat=Deferred: 451 4.3.2 Please try again later

While the issue was happening I did some testing to find the problem.

I tried the following:

1) telnet into port 25 directly from the machine and send a message

MAIL FROM: foo@foo.com
RCPT TO: foo@foo.com
DATA
dfklsdjf
.

This seemed to go though ok every time

2) use mail command

mail -s 'test' foo@foo.com
ksdljflkd
.
CC:

This failed every time.

2) use sendmail directly (same as above but to be complete)

/usr/lib/sendmail foo@foo.com
kjsdhfkjsdf
.

This failed every time.

If you any more information would be helpful let me know.

Thanks

Ryan

Discussion

    • assigned_to: nobody --> sm-msk
    • status: open --> pending
     
  • Logged In: YES
    user_id=1048957
    Originator: NO

    Are you running dk-filter with the "-l" option? It should be logging something when it fails to sign/verify a message and causes a temp-fail.

    What operating system are you using?

    Is the process large memory-wise?

    Is there a core left around when it crashes?

    Are any assertions reported in your syslog?

     
  • Ryan Blomberg
    Ryan Blomberg
    2007-03-22

    Logged In: YES
    user_id=1745666
    Originator: YES

    Are you running dk-filter with the "-l" option? It should be logging
    something when it fails to sign/verify a message and causes a temp-fail.

    I was not running the filter with the -l option... will turn that on next time I run it.

    This is how I kicked it off via rc.d script

    dk-filter -d evdb.com,eventful.com -D -s /var/db/domainkeys/mail.key.pem -S mail -u evdb -p inet:8891@localhost

    What operating system are you using?

    This is running on FC4 with
    sendmail-8.13.8-2

    Is the process large memory-wise?

    I do not know the exact size of the process at the time I discovered it, but do have historical machine wide data and there memory usage was pretty constant on the day that I stopped the process. See attached graph. The issue was on the friday on the left side of the graph.

    Is there a core left around when it crashes?

    Not sure where to look for this. Its been a long time since I looked for a core dump. Doesnt FC not dump core by default these days?

    Are any assertions reported in your syslog?

    This is repeated in the maillog a bunch of times..
    Feb 18 21:45:08 msg02 sendmail[3034]: l1J5j8WA003034: Milter (dk-filter): error connecting to filter: Connection refused by localhost
    Feb 18 21:45:08 msg02 sendmail[3034]: l1J5j8WA003034: Milter (dk-filter): to error state

    Thanks for all your help on this. I really wish I had more data for you but unfortunately like all issues like this I needed to act quickly and failed to document useful information as I should have.

    rb
    File Added: graph-1.gif

     
  • Ryan Blomberg
    Ryan Blomberg
    2007-03-22

    • status: pending --> open
     
  • Ryan Blomberg
    Ryan Blomberg
    2007-03-22

    RRD Memory graph for that time period

     
    Attachments
  • Logged In: YES
    user_id=1048957
    Originator: NO

    I saw this recently with the autoresponder at sa-test@sendmail.net as well, but just restarted it without investigating further. Unfortunately, I think to track this down further I'd need to see it reproduced, and it hasn't happened again here.

    Can you provoke the problem with a particular message or series of events? Or, do you have experience using gdb for when it happens again?

     
    • status: open --> pending
     
  • Logged In: YES
    user_id=1048957
    Originator: NO

    I can't reproduce any of these behaviours with 0.6.0. Are you still seeing these problems?

     
  • Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending --> closed